ListJoinImplementor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria
Interface ListJoinImplementor<Z,X>

All Superinterfaces:
  Expression<X>, ExpressionImplementor<X>, Fetch<Z,X>, FetchParent<Z,X>, From<Z,X>, FromImplementor<Z,X>, Join<Z,X>, JoinImplementor<Z,X>, ListJoin<Z,X>, Path<X>, PathImplementor<X>, PathSource<X>, PluralJoin<Z,List<X>,X>, Renderable, Selection<X>, SelectionImplementor<X>, TupleElement<X>, TupleElementImplementor<X>

All Known Implementing Classes:
  ListAttributeJoin

    public interface ListJoinImplementor<Z,X>

extends JoinImplementor<Z,X>, ListJoin<Z,X>

Specialization of `JoinImplementor` for `List` typed attribute joins

Method Summary
`ListJoinImplementor<Z,X>` | `correlateTo(CriteriaSubqueryImpl subquery)` Refined return type

Methods inherited from interface javax.persistence.criteria.Fetch
`getAttribute, getJoinType, getParent`

Methods inherited from interface org.hibernate.ejb.criteria.FromImplementor
`getCorrelationParent, prepareAlias, prepareCorrelationDelegate, renderTableExpression`

Methods inherited from interface org.hibernate.ejb.criteria.PathImplementor
`getAttribute`

Methods inherited from interface org.hibernate.ejb.criteria.ExpressionImplementor
`asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface org.hibernate.ejb.criteria.Renderable
`render, renderProjection`

Methods inherited from interface org.hibernate.ejb.criteria.PathSource
`getPathIdentifier`

Methods inherited from interface javax.persistence.criteria.ListJoin
`getModel, index`

Methods inherited from interface javax.persistence.criteria.Join
`getAttribute, getJoinType, getParent`

Methods inherited from interface javax.persistence.criteria.From
`getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from interface javax.persistence.criteria.FetchParent
`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

Method Detail

### correlateTo

    ListJoinImplementor<Z,X> correlateTo(CriteriaSubqueryImpl subquery)

  Refined return type

  Refined return type

  Specified by:
    `correlateTo` in interface `FromImplementor<Z,X>`
  Specified by:
    `correlateTo` in interface `JoinImplementor<Z,X>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.